Description

See http://docs.rackspace.com/files/api/v1/cf-devguide/content/TempURL-d1a4450.html

Since the configuration of authentication and users is different in rgw and swift, we end up with no way to set

X-Account-Meta-Temp-Url-Key and thus no way to make temp urls. It would be nice if a setting in the rados user config allowed

setting the shared secret key (in place of a POST request with X-Account-Meta-Temp-Url-Key).

Temp urls are useful for both giving to users and passing to programs (like avconv) that don't actually support sending auth headers.

Associated revisions

Revision 56e4015c - 01/09/2014 10:28 PM - Yehuda Sadeh 

rgw: handle temp url key authorization

Fixes: #3454

Implement auth handling code that checks temp url signature and

expiration. The key that is used for the signature is the bucket owner's

temp url key.

Signed-off-by: Yehuda Sadeh <yehuda@inktank.com>

History

#1 - 04/01/2013 03:18 PM - Ian Colle

- Project changed from Ceph to rgw

- Category deleted (22)

#2 - 05/21/2013 01:14 PM - Sage Weil

- Tracker changed from Bug to Feature

#3 - 10/17/2013 08:50 AM - Ryan Grenz

Bump .. would really love to see this feature in there.

We are deploying Cloud Foundry v2 into Openstack, and want to use RadosGW to provide the Swift interface, which will enable us to implement this: 

https://github.com/anynines/cf-docs/blob/10a6b850b2cfb8fa36d386de0d6c3b8a8fda77b8/source/docs/running/deploying-cf/openstack/using_swift_bl

obstore.html.md

04/03/2024 1/2

http://docs.rackspace.com/files/api/v1/cf-devguide/content/TempURL-d1a4450.html
mailto:yehuda@inktank.com
https://github.com/anynines/cf-docs/blob/10a6b850b2cfb8fa36d386de0d6c3b8a8fda77b8/source/docs/running/deploying-cf/openstack/using_swift_blobstore.html.md
https://github.com/anynines/cf-docs/blob/10a6b850b2cfb8fa36d386de0d6c3b8a8fda77b8/source/docs/running/deploying-cf/openstack/using_swift_blobstore.html.md


#4 - 11/11/2013 11:07 AM - Neil Levine

- Source changed from Development to Support

#5 - 11/13/2013 04:24 AM - ramon makkelie

Samen problem as Ryan

so if this could be picked up that would be great

#6 - 11/13/2013 06:06 AM - Wayne E Seguin

I have just run into this as well.

Is there a timeline for this?

#7 - 11/22/2013 10:11 AM - Neil Levine

- Status changed from New to 12

#8 - 11/22/2013 01:10 PM - Ian Colle

- Target version set to v0.74

#9 - 11/22/2013 01:11 PM - Ian Colle

- Assignee set to Yehuda Sadeh

#10 - 11/22/2013 01:18 PM - Ian Colle

- translation missing: en.field_story_points set to 5.0

#11 - 12/06/2013 01:18 PM - Sage Weil

- Status changed from 12 to Fix Under Review

#12 - 12/20/2013 01:49 PM - Sage Weil

- Target version changed from v0.74 to v0.75

#13 - 01/08/2014 02:46 PM - Ian Colle

- Target version changed from v0.75 to v0.76

#14 - 01/15/2014 04:00 PM - Yehuda Sadeh

- Status changed from Fix Under Review to Resolved

merged upstream, commit:c60ae09b389c808735415553e31c871cfa42f776. I opened a new task (#7156) for creating a test for this feature.

#15 - 08/04/2014 08:00 PM - Blair Bethwaite

This should be documented somewhere too, at least in the table at http://ceph.com/docs/master/radosgw/swift/
